Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Score Class Reference

Inherits Glib::Object.

Collaboration diagram for Clutter::Score:
[legend]

List of all members.

## Public Member Functions
virtual | ~Score ()
ClutterScore* | gobj ()
| Provides access to the underlying C GObject.
const ClutterScore* | gobj () const
| Provides access to the underlying C GObject.
ClutterScore* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_loop (bool loop=true)
| Sets whether score should loop.
bool | get_loop () const
| Gets whether score is looping.
gulong | append (const Glib::RefPtr< Timeline >& parent, const Glib::RefPtr< Timeline >& timeline)
| Appends a timeline to another one existing in the score; the newly appended timeline will be started when parent is complete.
gulong | append (const Glib::RefPtr< Timeline >& timeline)
| Appends a timeline to another one existing in the score.
void | append_at_marker (const Glib::RefPtr< Timeline >& parent, const Glib::ustring& marker_name, const Glib::RefPtr< Timeline >& timeline)
| Appends timeline at the given marker_name on the parent Clutter::Timeline.
void | remove (gulong id)
| Removes the Clutter::Timeline with the given id inside score.
void | remove_all ()
| Removes all the timelines inside score.
Glib::RefPtr< Timeline > | get_timeline (gulong id)
| Retrieves the Clutter::Timeline for id inside score.
Glib::RefPtr< const Timeline > | get_timeline (gulong id) const
| Retrieves the Clutter::Timeline for id inside score.
std::vector< Glib::RefPtr < Timeline > > | list_timelines ()
std::vector< Glib::RefPtr < const Timeline > > | list_timelines () const
void | start ()
| Starts the score.
void | pause ()
| Pauses a playing score score.
void | stop ()
| Stops and rewinds a playing Clutter::Score instance.
void | rewind ()
| Rewinds a Clutter::Score to its initial state.
bool | is_playing () const
| Query state of a Clutter::Score instance.
Glib::PropertyProxy< bool > | property_loop ()
| Whether the score should restart once finished.
Glib::PropertyProxy_ReadOnly < bool > | property_loop () const
| Whether the score should restart once finished.
Glib::SignalProxy0< void > | signal_completed ()
Glib::SignalProxy0< void > | signal_paused ()
Glib::SignalProxy0< void > | signal_started ()
Glib::SignalProxy1< void, const Glib::RefPtr< Timeline >& > | signal_timeline_completed ()
Glib::SignalProxy1< void, const Glib::RefPtr< Timeline >& > | signal_timeline_started ()
## Static Public Member Functions
static Glib::RefPtr< Score > | create ()
## Protected Member Functions
| Score ()
virtual void | on_completed ()
virtual void | on_paused ()
virtual void | on_started ()
virtual void | on_timeline_completed (const Glib::RefPtr< Timeline >& timeline)
virtual void | on_timeline_started (const Glib::RefPtr< Timeline >& timeline)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Score > | wrap (ClutterScore* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Score::~Score | ( |  | ) | `[virtual]`

Clutter::Score::Score | ( |  | ) | `[protected]`

## Member Function Documentation

gulong Clutter::Score::append | ( | const Glib::RefPtr< Timeline >& | parent,
|  | const Glib::RefPtr< Timeline >& | timeline |
| ) |  |  |

Appends a timeline to another one existing in the score; the newly appended timeline will be started when parent is complete.

Parameters:

  | parent | A Clutter::Timeline in the score.
  | timeline | A Clutter::Timeline.

Returns:
  The id of the newly added timeline, to be used with get_timeline() and remove().

Since cluttermm 0.6:

gulong Clutter::Score::append | ( | const Glib::RefPtr< Timeline >& | timeline | ) |

Appends a timeline to another one existing in the score.

The new timeline will be started when start() is called.

Parameters:

  | timeline | the Timeline to append

Returns:
  the id of the newly added timeline, to be used with get_timeline() and remove().

void Clutter::Score::append_at_marker | ( | const Glib::RefPtr< Timeline >& | parent,
|  | const Glib::ustring & | marker_name,
|  | const Glib::RefPtr< Timeline >& | timeline |
| ) |  |  |

Appends timeline at the given marker_name on the parent Clutter::Timeline.

If you want to append timeline at the end of parent, use append().

The Clutter::Score will take a reference on timeline.

Since cluttermm 0.8:

Parameters:

  | parent | The parent Clutter::Timeline.
  | marker_name | The name of the marker to use.
  | timeline | The Clutter::Timeline to append.

Returns:
  The id of the Clutter::Timeline inside the score, or 0 on failure. The returned id can be used with remove() or get_timeline().

static Glib::RefPtr<Score> Clutter::Score::create | ( |  | ) | `[static]`

bool Clutter::Score::get_loop | ( |  | ) | const

Gets whether score is looping.

Since cluttermm 0.6:

Returns:
  `true` if the score is looping.

Glib::RefPtr<Timeline> Clutter::Score::get_timeline | ( | gulong | id | ) |

Retrieves the Clutter::Timeline for id inside score.

Since cluttermm 0.6:

Parameters:

  | id | The id of the timeline.

Returns:
  The requested timeline, or `0`. This function does not increase the reference count on the returned Clutter::Timeline.

Glib::RefPtr<const Timeline> Clutter::Score::get_timeline | ( | gulong | id | ) | const

Retrieves the Clutter::Timeline for id inside score.

Since cluttermm 0.6:

Parameters:

  | id | The id of the timeline.

Returns:
  The requested timeline, or `0`. This function does not increase the reference count on the returned Clutter::Timeline.

const ClutterScore* Clutter::Score::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterScore* Clutter::Score::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterScore* Clutter::Score::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Clutter::Score::is_playing | ( |  | ) | const

Query state of a Clutter::Score instance.

Since cluttermm 0.6:

Returns:
  `true` if score is currently playing.

std::vector<Glib::RefPtr<Timeline> > Clutter::Score::list_timelines | ( |  | ) |

std::vector<Glib::RefPtr<const Timeline> > Clutter::Score::list_timelines | ( |  | ) | const

virtual void Clutter::Score::on_completed | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Score::on_paused | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Score::on_started | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Score::on_timeline_completed | ( | const Glib::RefPtr< Timeline >& | timeline | ) | `[protected, virtual]`

virtual void Clutter::Score::on_timeline_started | ( | const Glib::RefPtr< Timeline >& | timeline | ) | `[protected, virtual]`

void Clutter::Score::pause | ( |  | ) |

Pauses a playing score score.

Since cluttermm 0.6:

Glib::PropertyProxy<bool> Clutter::Score::property_loop | ( |  | ) |

Whether the score should restart once finished.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Score::property_loop | ( |  | ) | const

Whether the score should restart once finished.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Score::remove | ( | gulong | id | ) |

Removes the Clutter::Timeline with the given id inside score.

If the timeline has other timelines attached to it, those are removed as well.

Since cluttermm 0.6:

Parameters:

  | id | The id of the timeline to remove.

void Clutter::Score::remove_all | ( |  | ) |

Removes all the timelines inside score.

Since cluttermm 0.6:

void Clutter::Score::rewind | ( |  | ) |

Rewinds a Clutter::Score to its initial state.

Since cluttermm 0.6:

void Clutter::Score::set_loop | ( | bool | loop = `true` | ) |

Sets whether score should loop.

A looping Clutter::Score will start from its initial state after the complete signal has been fired.

Since cluttermm 0.6:

Parameters:

  | loop | `true` for enable looping.

Glib::SignalProxy0< void > Clutter::Score::signal_completed | ( |  | ) |

Prototype:
  `void on_my_completed()`

Glib::SignalProxy0< void > Clutter::Score::signal_paused | ( |  | ) |

Prototype:
  `void on_my_paused()`

Glib::SignalProxy0< void > Clutter::Score::signal_started | ( |  | ) |

Prototype:
  `void on_my_started()`

Glib::SignalProxy1< void,const Glib::RefPtr<Timeline>& > Clutter::Score::signal_timeline_completed | ( |  | ) |

Prototype:
  `void on_my_timeline_completed(const Glib::RefPtr<Timeline>& timeline)`

Glib::SignalProxy1< void,const Glib::RefPtr<Timeline>& > Clutter::Score::signal_timeline_started | ( |  | ) |

Prototype:
  `void on_my_timeline_started(const Glib::RefPtr<Timeline>& timeline)`

void Clutter::Score::start | ( |  | ) |

Starts the score.

Since cluttermm 0.6:

void Clutter::Score::stop | ( |  | ) |

Stops and rewinds a playing Clutter::Score instance.

Since cluttermm 0.6:

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Score > wrap | ( | ClutterScore * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/score.h